//---------------------------------------------------------------------------
#ifndef HyperLinkH
#define HyperLinkH
//---------------------------------------------------------------------------
#include <SysUtils.hpp>
#include <Controls.hpp>
#include <Classes.hpp>
#include <Forms.hpp>
#include <StdCtrls.hpp>
//---------------------------------------------------------------------------
class PACKAGE THyperLink : public TCustomLabel
{
private:
  System::AnsiString   FURL;
  TNotifyEvent FOnClick;
protected:
  void __fastcall Click(TObject* Sender);
  void __fastcall SetURL (AnsiString AURL);
  __declspec(dynamic) void __fastcall Click();
public:
  __fastcall THyperLink(TComponent* Owner);
__published:
  __property AnsiString URL = {read=FURL, write=SetURL};


//
// Die Eigenschaften von TCustomLabel redeklariert.
//
 __property Align ;
 __property Alignment ;
 __property AutoSize ;
 __property Caption ;
 __property Color ;
 __property DragCursor ;
 __property DragMode ;
 __property Enabled ;
 __property FocusControl ;
 __property Font ;
 __property ParentColor ;
 __property ParentFont ;
 __property ParentShowHint ;
 __property PopupMenu ;
 __property ShowAccelChar ;
 __property ShowHint ;
 __property Transparent ;
 __property Layout ;
 __property Visible ;
 __property WordWrap ;
 __property OnClick ;
 __property OnDblClick ;
 __property OnDragDrop ;
 __property OnDragOver ;
 __property OnEndDrag ;
 __property OnMouseDown ;
 __property OnMouseMove ;
 __property OnMouseUp ;
 __property OnStartDrag ;
};
//---------------------------------------------------------------------------
#endif
